Page MenuHomePhabricator

[Hosting] Fix work of engine on macOS.
ClosedPublic

Authored by se.osadchy on Jul 8 2016, 4:07 AM.

Details

Summary

Update eng_image_free function and check of references.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 2286
Build 2351: arc lint + arc unit
se.osadchy updated this revision to Diff 9548.Jul 8 2016, 4:07 AM
se.osadchy retitled this revision from to [Hosting] Fix work of engine on macOS..
se.osadchy updated this object.
se.osadchy edited the test plan for this revision. (Show Details)
cedric requested changes to this revision.Jul 8 2016, 9:59 AM
cedric edited edge metadata.

It would be better if effort was put on migrating to gl_generic anyway.

src/modules/evas/engines/gl_common/evas_gl_texture.c
970 ↗(On Diff #9548)

This completely change the behavior of pt_unref. Reference is an int. If we have an excess of unref for whatever reason, we would after that patch risk a bigger crash/problem. Testing if it is 0 to continue is defensive programing and I don't see why you need to change that,

This revision now requires changes to proceed.Jul 8 2016, 9:59 AM
raster requested changes to this revision.Jul 10 2016, 5:44 PM
raster added a reviewer: raster.
raster added a subscriber: raster.

yeah. while it'd be a bug to ref down to < 0 ... this does make code less robust.

se.osadchy updated this revision to Diff 9556.Jul 11 2016, 12:46 AM
se.osadchy edited edge metadata.
se.osadchy marked an inline comment as done.

Updating D4150: [Hosting] Fix work of engine on macOS.

Please check patch
Need review for fix bug in Eflete

src/modules/evas/engines/gl_common/evas_gl_texture.c
970 ↗(On Diff #9548)

like as check in gl_common_image:

EAPI void
evas_gl_common_image_free(Evas_GL_Image *im)
{

im->references--;
if (im->references > 0) return;

...

cedric accepted this revision.Jul 11 2016, 10:55 AM
cedric edited edge metadata.
raster accepted this revision.Jul 11 2016, 6:14 PM
raster edited edge metadata.
This revision is now accepted and ready to land.Jul 11 2016, 6:14 PM
raster closed this revision.Jul 11 2016, 6:14 PM